#ifndef _IVECTOR4_HPP_
#define _IVECTOR4_HPP_

/*** SDL Header Files ***/
#include <SDL.h>   

/*** DLL Header File ***/
#include "dllExport.h"

/*** Custom Header File ***/
#include "iVector3.hpp"

namespace MathEngine {
	struct Vector4;

	struct EXPORT_FROM_MYDLL iVector4 : public iVector3
	{
		iVector4( const int X = 0, const int Y = 0, const int Z = 0, const int W = 0 );

		iVector4( const iVector2& copy );

		iVector4( const iVector3& copy );

		iVector4( const SDL_Rect& copy );

		iVector4& operator=( const SDL_Rect& copy );

		bool operator==( const SDL_Rect& other ) const;

		iVector4( const Vector4& copy );

		iVector4& operator=( const Vector4& copy );

		bool operator==( const iVector4& other ) const;

		int w;
	};/// END STRUCT DEFINITION iVector4
}/// END NAMESPACE DEFINITION MathEngine
#endif/// END IFNDEF _IVECTOR4_HPP_